<template>
  <div>
    <div class="hero">
      <v-container>
        <v-row justify="center">
          <v-col xs="12" md="8" class="hero-text">
            <h1 class="display-1 pb-6">
              Your healing starts with community
            </h1>
            <p class="title pb-4">
              Join the conversation,<br />Group support online when you need it
            </p>
            <v-btn to="/circles" color="primary" elevation="0" dark large
              >Find your circle</v-btn
            >
            <v-btn text to="/facilitators" class="d-block d-sm-none pt-3" exact>
              Book a facilitator
            </v-btn>
            <router-link class="d-block" to="/quiz">
              <span class="caption">or take the quiz</span>
            </router-link>
          </v-col>
        </v-row>
      </v-container>
    </div>

    <div class="section-share">
      <v-container class="py-0">
        <v-row>
          <v-col cols="12" class="text-center">
            <h3 class="title">
              As human beings, we share a common thread
            </h3>
            <p class="body-1">
              Circle is a place to share your unique inner wisdom
            </p>
          </v-col>
        </v-row>
      </v-container>
    </div>

    <!-- Upcoming Circles -->
    <v-container class="section">
      <v-row>
        <v-col xs="12" md="12" class="text-center">
          <h3 class="display-1 pb-10">Upcoming Circles</h3>
        </v-col>
      </v-row>
      <v-row class="pa-2">
        <v-col
          v-for="circle in circles.slice(0, 3)"
          :key="circle.title"
          xs="12"
          sm="6"
          md="3"
        >
          <circle-item :circle="circle" />
        </v-col>
      </v-row>
      <v-row v-if="circles.length && circles.length > 0">
        <v-col xs="4" offset-xs="4" sm="4" offset-sm="4" md="4" offset-md="4">
          <router-link to="circles" class="align-center">
            <span>More circle groups</span>
          </router-link>
        </v-col>
      </v-row>
    </v-container>

    <!-- How it's work -->
    <div class="how">
      <svg class="top-wave" viewBox="0 0 2500 32" preserveAspectRatio="none">
        <path
          class="bottom"
          d="M2112.09636,22.2373515 C1885.37566,22.2373515 1716.87152,8.10126582 1487.09744,8.10126582 C1257.32767,8.10126582 1088.81922,22.2373515 862.098518,22.2373515 C635.377818,22.2373515 466.869364,8.10126582 237.099594,8.10126582 C151.639521,8.10126582 74.659133,10.0580331 0,12.513963 L0,31.9563778 L2500,31.9563778 L2500,12.513963 C2373.92873,16.6618111 2254.49393,22.2373515 2112.09636,22.2373515"
          fill="#fbf9f6"
        ></path>
      </svg>
      <v-content class="section-background">
        <v-container class="py-0">
          <v-row class="pt-10">
            <v-col cols="12" class="text-center">
              <h3 class="title">
                Getting Support doesn’t have to be hard.<br />We make it easy.
              </h3>
            </v-col>
          </v-row>

          <v-row justify="center" align="center" class="pt-10 section">
            <v-col cols="12" md="7" lg="6" class="inner-section">
              <div class="dashed-shadow" />
              <v-img
                :src="require('@/assets/img/how-join.jpg')"
                class="image"
                max-width="350"
              />
            </v-col>
            <v-col md="5">
              <p
                class="caption font-weight-bold deep-purple--text lighten-2--text"
              >
                STEP 1
              </p>
              <p class="headline">Join circle</p>
              <p class="body-1">
                Sign up and select the membership option that fits best with
                your life. Then we’ll ask a few questions so our doctors can get
                to know you better.
              </p>
              <v-btn color="primary" elevation="0">Join today</v-btn>
            </v-col>
          </v-row>

          <v-row justify="center" align="center" class="pt-10 section">
            <v-col md="5">
              <p
                class="caption font-weight-bold deep-purple--text lighten-2--text"
              >
                STEP 2
              </p>
              <p class="headline">Connect with the group facilitator</p>
              <p class="body-1">
                Each group has its own vibe, theme, and structure
              </p>
            </v-col>
            <v-col cols="12" md="7" lg="6" class="inner-section">
              <v-img
                :src="require('@/assets/img/how-talk-to.png')"
                class="image"
                max-width="350"
              />
            </v-col>
          </v-row>

          <v-row justify="center" align="center" class="pt-10 section">
            <v-col cols="12" md="7" lg="6" class="inner-section">
              <div class="color-shadow"></div>
              <div
                class="dashed-shadow"
                style="width: 150px; height: 150px; right: 10%"
              />
              <v-img
                :src="require('@/assets/img/be-part.jpg')"
                class="image"
                max-width="350"
              />
            </v-col>
            <v-col md="5" lg="6">
              <p
                class="caption font-weight-bold deep-purple--text lighten-2--text"
              >
                STEP 3
              </p>
              <p class="headline">Be part of the community</p>
              <p class="body-1">
                You are not alone. there are people out there who share the same
                thoughts and beliefs just like many others do and they speak the
                same language as you do.
              </p>
            </v-col>
          </v-row>
        </v-container>

        <v-row justify="center" align="center" class="pt-10">
          <v-col cols="12" class="text-center">
            <p
              class="caption font-weight-bold deep-purple--text lighten-2--text"
            >
              Join circle today
            </p>
            <p class="headline">Full access to groups support</p>
            <p></p>
          </v-col>
        </v-row>
      </v-content>
    </div>

    <!-- The Facilitators -->
    <v-container class="section">
      <v-row>
        <v-col xs="12" md="12" class="text-center">
          <h3 class="display-1 text-center pb-2">The Facilitators</h3>
        </v-col>
      </v-row>
      <v-row justify="center">
        <v-col xs="12" md="8">
          <p class="body-1">
            The main goal of a facilitator is to draw out knowledge and insight
            from group members. A facilitator will use their expertise,
            exercises and natural abilities to keep a group progressing.
          </p>
        </v-col>
      </v-row>
      <v-row>
        <v-col xs="12" md="12" class="text-center">
          <v-btn outlined to="/join-us">Join as a Facilitator</v-btn>
        </v-col>
      </v-row>
    </v-container>

    <!-- Circles idea -->
    <v-container class="">
      <v-row>
        <v-col>
          <h3 class="display-1 text-center pb-10">
            Different themes different circle
          </h3>
        </v-col>
      </v-row>

      <v-row class="mb-15 mt-10" justify="center" align="center">
        <v-col xs="12" md="6">
          <h4 class="title pb-4">Council</h4>
          <p class="body-1">
            Council is an ancient way and modern practice whose roots are within
            the natural world, spanning diverse cultures and religions. This
            practice elicits an experience of true community, recognizing that
            each voice needs to be heard, that every person has a gift, a story
            to share, a piece of the whole.
          </p>
          <p class="body-1">
            How do we remember all our relations, embrace differences, and find
            our own voices, while opening to others? It seems more than ever an
            essential time in our nation and around the world, to awaken this
            deep relational heart-mind.
          </p>
        </v-col>
        <v-col xs="12" md="6">
          <v-img
            width="400"
            :src="require('@/assets/img/circle-candle.png')"
            class="image"
            style="margin: auto"
          />
        </v-col>
      </v-row>

      <v-row class="mb-10 mt-10" justify="center" align="center">
        <v-col xs="12" md="6">
          <v-img
            width="400"
            :src="require('@/assets/img/forum.png')"
            class="image"
            style="margin: auto"
          />
        </v-col>
        <v-col xs="12" md="6">
          <h4 class="title">Forum</h4>
          <p class="body-1">
            Forum participants generally take one of three vital roles; the
            presenter or protagonist, the forum 3facilitators and the "mirrors".
            The group gathers in a circle. The protagonist enters the middle to
            share their current inner experience, something they find moving.
            She is invited to use the whole space in the middle, feel free to
            move around, to speak, act and to connect with her feelings. The
            only goal is to be, become authentic, heal, and take self
            responsibility
          </p>
          <p class="body-1">
            In the middle, he can be heard better on many more different levels
            than if he remained seating in the circle. The "mirrors" listen
            verbally-intellectually and try to be aware of other aspects such as
            the tone of voice, body movements and the presenter's "energy".
          </p>
        </v-col>
      </v-row>

      <v-row class="mb-10 mt-10 pt-10" justify="center" align="center">
        <v-col xs="12" md="6" class="text-center">
          <h4 class="title pb-4">And much more</h4>
          <p class="body-1">
            We come together to
            facilitate healing
          </p>
        </v-col>
      </v-row>
    </v-container>
    <Footer />
  </div>
</template>

<script>
import { mapActions, mapGetters, mapState } from 'vuex'
import Footer from '@/components/Shared/Footer'
import CircleItem from '@/components/Circle/CircleItem'

export default {
  head() {
    return {
      title: {
        inner: 'Home'
      },
      meta: [
        {
          name: 'description',
          content: `${this.appTitle} home page`,
          id: 'desc'
        }
      ]
    }
  },
  components: {
    Footer,
    CircleItem
  },
  data: () => ({
    search: null,
    checkIndex: 0
  }),
  computed: {
    ...mapGetters('authentication', ['isUserLoggedIn']),
    ...mapState('circle', ['circles']),
    ...mapState('authentication', ['user'])
  },
  mounted() {
    this.getCircle()
    this.checkUser()
  },
  methods: {
    ...mapActions('authentication', ['logout']),
    ...mapActions('circle', ['getAllCircles']),
    getCircle() {
      if (!this.circles.length) this.getAllCircles(3)
    },
    checkUser() {
      setTimeout(() => {
        if (this.user && this.user.role === 'facilitator') {
          this.$router.push('/facilitator')
        } else if (this.checkIndex < 3) {
          this.checkIndex += 1
          this.checkUser()
        }
      }, 2000)
    }
  }
}
</script>

<style lang="scss" scoped>
.section-share {
  background: #f27561;
  color: #fff;
  z-index: 9;
  .image-wrap {
    margin: auto;
    z-index: 9;
  }
}

.section {
  padding: 4rem 0 4rem 0;
  z-index: 9;
  .image-wrap {
    z-index: 9;
  }
  .icon-image {
    width: 70px;
  }
}

.section-background {
  background-color: #fbf9f6;
}

.how {
  padding: 6rem 0 6rem 0;
  .section {
    .inner-section {
      position: relative;
      .dashed-shadow {
        background: transparent;
        width: 300px;
        height: 300px;
        position: absolute;
        border-radius: 100%;
        border: 3px dashed #afc2cc;
        right: 50%;
        top: -24px;
      }
      .color-shadow {
        position: absolute;
        z-index: 1;
        top: 0;
        bottom: 40%;
        border-radius: 4px;
        background: #eef0ff;
        width: 250px;
        height: 250px;
        margin: auto;
        left: 10%;
      }
      .image {
        border-radius: 4px;
        margin: auto;
        z-index: 9;
        text-align: center;
      }
      .image-shadow {
        max-width: 150px;
        position: absolute;
        top: -60px;
        z-index: 2;
      }
    }
  }
}
.top-wave {
  width: 200%;
  max-width: 200%;
  -webkit-animation: wave 10s linear infinite;
  animation: wave 10s linear infinite;
  display: block;
}

.hero {
  min-height: 840px;
  position: relative;
  background-image: url('../../assets/img/background.jpg');
  background-repeat: no-repeat;
  background-position: 53% 100%;
  background-size: cover;
  .hero-text {
    z-index: 9;
    padding-top: 6rem;
    text-align: center;
  }
  .image {
    bottom: 0;
    left: 0;
    position: absolute;
    right: 0;
    top: -30px;
  }
}

.shape-right {
  position: absolute;
  top: 0px;
  right: 0px;
  width: 35%;
  height: 75%;
  min-width: 300px;
  z-index: 1;
  overflow: hidden;
}
</style>
